Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp.problems
Class ProblemParity

    java.lang.Object
      ec.Problem
          ec.cgp.problems.ProblemCGP
              ec.cgp.problems.ProblemParity

All Implemented Interfaces:
  ec.Prototype, ec.Setup, ec.simple.SimpleProblemForm, java.io.Serializable, java.lang.Cloneable

    public class ProblemParity

extends ProblemCGP

Even n-bit parity problem.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com
See Also:
  Serialized Form

Field Summary
`static int` | `NUM_BITS` Number of bits in this parity problem.

Fields inherited from class ec.cgp.problems.ProblemCGP
`constantMax, constantMin, constants, numConstants, P_CONSTANT_MAX, P_CONSTANT_MIN, P_CONSTANTS`

Fields inherited from class ec.Problem
`P_PROBLEM`

Constructor Summary
`ProblemParity()`

Method Summary
`void` | `evaluate(ec.EvolutionState state, ec.Individual ind, int subpopulation, int threadnum)` Evaluate the CGP and compute fitness.
`static int` | `max()` Max value represented by this parity problem.

Methods inherited from class ec.cgp.problems.ProblemCGP
`describe, initConstants, setup`

Methods inherited from class ec.Problem
`canEvaluate, clone, closeContacts, defaultBase, finishEvaluating, initializeContacts, prepareToEvaluate, reinitializeContacts`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_BITS

    public static int NUM_BITS

  Number of bits in this parity problem.

Constructor Detail

### ProblemParity

    public ProblemParity()

Method Detail

### max

    public static int max()

  Max value represented by this parity problem.

### evaluate

    public void evaluate(ec.EvolutionState state,
                         ec.Individual ind,
                         int subpopulation,
                         int threadnum)

  Evaluate the CGP and compute fitness.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD